unit D1un1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons, Mrscroll, StdCtrls, Mrmemo, ExtCtrls, Mrpanel;

type
  TForm1 = class(TForm)
    MRPanel1: TMRPanel;
    MRScrollBox1: TMRScrollBox;
    MRPanel2: TMRPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    MRMemo1: TMRMemo;
    Button1: TButton;
    procedure MRPanel2Paint(Sender: TObject);
    function MRPanel2NCHitTest(Sender: TObject;
      M: TWMNCHitTest): TWMNCHitTest;
    procedure MRPanel1Move(Sender: TObject);
    procedure MRPanel1Resize(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.MRPanel2Paint(Sender: TObject);
var
   XCount: Integer;
begin

With MrPanel2.Canvas do
begin
     Pen.Width:=1;
     Pen.Color:=clNavy;
     pen.mode:=pmmask;
end;
{Paint Caption bar}
for XCount:=0 to 8 do
begin
     With MrPanel2.Canvas do
     begin
          moveto(Xcount,0);
          Lineto(XCount,MrPanel2.height);
     end;
end;
MrPanel2.Canvas.pen.mode:=pmcopy;
end;

function TForm1.MRPanel2NCHitTest(Sender: TObject;
  M: TWMNCHitTest): TWMNCHitTest;
begin
{Make the painted area the caption}
If M.XPos<9 then
   if M.Result=htClient then M.Result:=htCaption;

Result:=M
end;

procedure TForm1.MRPanel1Move(Sender: TObject);
begin
MrPanel1.Caption:='I was moved.';
end;

procedure TForm1.MRPanel1Resize(Sender: TObject);
begin
MrPanel1.Caption:='I was resized.';
{Check to see that panel is not resized too much}
if MrPanel1.height<20 then MrPanel1.height:=40;
if MrPanel1.width<20 then MrPanel1.width:=80;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
if IsZoomed(MrScrollbox1.handle) {if window -component- is maximized...}
   then
   begin
        MrScrollBox1.align:=alnone;D
        showwindow(mrScrollbox1.handle,SW_ShowNormal);
   end
   else
   begin
        showwindow(mrScrollbox1.handle,SW_ShowMaximized);
        MrScrollBox1.align:=alclient;
   end;
end;

end.
